Luxor Documentation Hub Logo
Commander/API Documentation

Get miner details

Returns detailed information for a specific miner including hashboard-level and fan-level breakdowns.

GET
/v2/commander/miners/{miner_id}

Authorization

authorization<token>

Use your API key here.

In: header

Path Parameters

miner_idRequiredstring
curl -X GET "https://app.luxor.tech/api/v2/commander/miners/<string>" \
  -H "authorization: <token>"

Default Response

{
  "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "ip_address": "10.0.1.42",
  "mac_address": "AA:BB:CC:DD:EE:FF",
  "model": "S19 Pro",
  "firmware": {
    "name": "LuxOS",
    "version": "2024.12.1"
  },
  "hashing_status": "hashing",
  "healthy_status": "healthy",
  "site_id": "b0a5fad8-1234-5678-9abc-def012345678",
  "agent_id": "056a4f62-1234-5678-9abc-def012345678",
  "hashrate": "110000000000000",
  "power": 3250,
  "max_temperature": 65,
  "fan_speed": [
    4200,
    4180,
    4180,
    4100
  ],
  "pool": {
    "url": "stratum+tcp://pool.example.com:3333",
    "username": "lux_phx_0",
    "worker": "myworker.001"
  },
  "last_seen_at": "2026-02-20T12:00:00Z",
  "url": "/v2/commander/miners/a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "hashboards": [
    {
      "index": 0,
      "board_hashrate": "27500000000000",
      "board_voltage": 15.1,
      "board_frequency": 500,
      "board_temperature": 62,
      "chips_total": 114,
      "chips_active": 114
    }
  ],
  "pool_configs": [
    {
      "priority": 1,
      "username": "lux_phx_0",
      "worker": "myworker.001",
      "url": "stratum+tcp://pool.example.com:3333",
      "status": true,
      "group": "Group 1"
    }
  ],
  "atm": {
    "enabled": true,
    "startup_minutes": 10,
    "post_ramp_minutes": 5,
    "temp_window": 10,
    "temp_buffer": 10,
    "min_profile": "1",
    "max_profile": "4",
    "prevent_oc": true
  }
}